Bug#502391: iceweasel: start page defaults to http://www.mozilla.org/projects/granparadiso/

2008-10-16 Thread Paolo Greppi
Package: iceweasel Version: 3.0.3-2 Severity: minor -- System Information: Debian Release: lenny/sid APT prefers testing APT policy: (500, 'testing') Architecture: i386 (i686) Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores) Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)

Bug#637146: ITP: numdiff -- Compare similar files with numeric fields

2011-08-08 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi paolo.gre...@libpf.com * Package name: numdiff Version : 5.2.1 Upstream Author : Ivano Primi ivprimi (a) libero (dot) it * URL : http://nongnu.org/numdiff/ * License : GPL-3.0+ Programming Lang: C

Bug#605585: doxygen: segvs on simple test case with man output

2013-08-22 Thread Paolo Greppi
Package: doxygen Followup-For: Bug #605585 Unreproducible for me in wheezy (1.8.1.2-2) and in jessie (1.8.4-1). -- System Information: Debian Release: 7.1 APT prefers stable-updates APT policy: (500, 'stable-updates'), (500, 'stable') Architecture: i386 (i686) Kernel: Linux

Bug#329160: doxygen-doc: Comment blocks broken in examples

2013-08-22 Thread Paolo Greppi
Package: doxygen Followup-For: Bug #329160 This doxygen-doc bug appears to be fixed both in wheezy (1.8.1.2-2) and in jessie (1.8.4-1). I checked with both konqueror and iceweasel. -- System Information: Debian Release: 7.1 APT prefers stable-updates APT policy: (500, 'stable-updates'),

Bug#375434: doxygen: Doxygen fails to identify which definitions match a declaration, (typedefs in class not matched?)

2013-08-22 Thread Paolo Greppi
Package: doxygen Followup-For: Bug #375434 With the intention of testing the latest schroot source against a doxygen in stable, I tried to reproduce this problem on wheezy with the latest version of schroot packaged in jessie (that's version 1.6.5; I could not get configure to complete with the

Bug#412914: reportbug: please add support for SSL protected SMTP communication

2013-08-22 Thread Paolo Greppi
Package: reportbug Version: 6.4.4 Followup-For: Bug #412914 Dear Maintainer, I vote for this feature to be added to reportbug; an example of one major provider who supports SSL and not TLS is aruba here in Italy. Currently reportbug can not send the mail via the aruba smtp: I have to retrieve

Bug#395912: cannot pass objects of non-POD type 'struct va_list' through '...'

2013-08-22 Thread Paolo Greppi
Package: doxygen Followup-For: Bug #395912 Unreproducible: the reported warnings are absent when I look at any recent build log. Squeeze version: https://buildd.debian.org/status/fetch.php?pkg=doxygenarch=amd64ver=1.7.1-2stamp=1282533240 Wheezy version:

Bug#451174: doxygen: Loads of lines with strange warnings

2013-08-22 Thread Paolo Greppi
Package: doxygen Followup-For: Bug #451174 A codesearch for gd-renderer: http://codesearch.debian.net/search?q=gd-renderer reveals that it has been removed with version 1.5.9-1 to close #477364. Currently it is absent in all three current versions:

Bug#720493: should not recommend / depend on doxygen-latex

2013-08-22 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 Severity: minor Dear Maintainer, in wheezy and jessie doxygen recommends doxygen-latex; in sid, it even depends on it. With the default setting in apt to install recommended packages, this results by default in doxygen-latex being installed. Advanced users can

Bug#709492: Numdiff doc is non free

2013-05-23 Thread Paolo Greppi
docs/numdiff.info docs/numdiff.txi docs/numdiff.txt are under the gfdl with invariant section and thus non free. Please repackage, or ask upstream to relicence -- == Paolo Greppi +39 320 8960642 paolo.gre...@libpf.com http://www.libpf.com

Bug#709492: R: Re: Bug#709492: Numdiff doc is non free

2013-05-24 Thread Paolo Greppi
All versions of GFDL are not compatible with Debian. Please switch the numdiff docs to the GPL or if you want to stick to GFDL, then skip the optional invariant sections clause. We will then repackage 5.6.2 with the new numdiff doc license. Thanks, Paolo On 23/05/2013 22:23, ivpr...@libero.it

Bug#728069: [doxygen] possible workaround

2013-10-31 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 --- Please enter the report below this line. --- Point 14 of the doxygen FAQ (see http://www.stack.nl/~dimitri/doxygen/manual/faq.html) states: 14. When running make in the latex dir I get TeX capacity exceeded. Now what? You can edit the texmf.cfg file to

Bug#527907: [doxygen] unreproducible

2013-08-23 Thread Paolo Greppi
| 1.8.1.2-2 graphviz | 2.26.3-14 -- == Paolo Greppi +39 320 8960642 paolo.gre...@libpf.com http://www.libpf.com == -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of unsubscribe. Trouble

Bug#551598: [doxygen] more info required

2013-08-23 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 Hi there, do you still see this happening ? Can you supply a test case ? Thanks, Paolo -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of unsubscribe. Trouble? Contact listmas...@lists.debian.org

Bug#569504: [doxygen] now the upstream changelog is available and packaged in gz format as per debian policy, causing a broken link

2013-08-23 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 Starting from version 1.8.4, upstream does provide a changelog in the tarball, in doxygen format: wget ftp://ftp.stack.nl/pub/users/dimitri/doxygen-1.8.3.1.src.tar.gz tar tf doxygen-1.8.3.1.src.tar.gz | grep changelog.doc no match wget

Bug#573832: [doxygen] unreproducible

2013-08-23 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 I have tried to reproduce this problem on wheezy in the following way: 0) create one temporary empty directory mkdir /tmp/aaa; cd /tmp/aaa 1) download one of the files containing the functions whose man pages would not be generated in libthai wget

Bug#591387: [doxygen] unreproducible

2013-08-23 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 If I package the current version of libgadu, on debian wheezy: wget http://ftp.de.debian.org/debian/pool/main/libg/libgadu/libgadu_1.11.2.orig.tar.gz wget http://ftp.de.debian.org/debian/pool/main/libg/libgadu/libgadu_1.11.2-1.debian.tar.gz tar xvf

Bug#707234: [doxygen] try DOT_NUM_THREADS = 1

2013-08-23 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 DOT_NUM_THREADS = 0 means autodetect. On bare metal it does make sense to use more threads than cores, in the assumption than disk will be the bottleneck. This can be counterproductive on VMs, I agree. I suggest you try to force it with DOT_NUM_THREADS = 1; I

Bug#370587: [doxygen] unsupported

2013-08-26 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 Doxytag has been deprecated and then removed from the doxygen tarballs and consequently from debian (oldstable, stable and testing): http://codesearch.debian.net/search?q=path%3Adoxytag+doxytag The currently supported way of generating the tag file is to

Bug#593452: [doxygen] unreproducible

2013-08-26 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 The described problem is unreproducible on stable. Note that to make sure it goes through the: Generating docs for compound foo... Generating namespace index... Generating namespace member index... Generating graph info page... part, with doxygen

Bug#602781: [wnpp] work aound for src/FlightCrew/Schemas/ncx-2005-1.dtd

2013-08-31 Thread Paolo Greppi
Package: wnpp Hi to work around the problem of missing license for src/FlightCrew/Schemas/ncx-2005-1.dtd, I propose to: 1) gather a large pool of freely-licensed epub files, possibly from different sources and produced with different tools 2) extract the ncx files 3) run them though

Bug#729224: ITP: gcovr -- Summarize code coverage results from gcov

2013-11-10 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi paolo.gre...@libpf.com X-Debbugs-CC: debian-de...@lists.debian.org Package name: gcovr Version: 3.0 Upstream Author: William Hart, John Siirola URL: http://gcovr.com/ License: BSD Description: Summarize code

Bug#725122: [doxygen] reproducible here

2013-10-02 Thread Paolo Greppi
Package: doxygen Version: 1.8.1.2-2 --- Please enter the report below this line. --- Reproducible here with stock doxygen on wheezy and sid. BTW I noticed that if I set HIDE_UNDOC_MEMBERS = NO in the Doxyfile, the structure is fully documented inline, including the members. Is this an

Bug#725122: [doxygen] reproducible here

2013-10-05 Thread Paolo Greppi
I found that you can get what you want if both a brief and a detailed description is available for each struct member. The detailed descriptions are then shown in the file Data Structure Documentation section. Curiously, a blank line is also required between each member. I attach an example P.

Bug#749927: reproducible here

2014-06-16 Thread Paolo Greppi
Package: network-manager Version: 0.9.8.10-3 Control: reopen 749927 --- Please enter the report below this line. --- reproducible here, when wifi connections are refreshed AND the SSID NOKIA Lumia 625_0319 is visible I have started seeing this recently so I guess it could be related to

Bug#783553: numdiff: debian/copyright file is not complete

2015-04-28 Thread Paolo Greppi
Hi the issue of switching the numdiff docs to the GPL was raised with upstream 2 years ago, and Ivano preferred to stick to GFDL. The actual issue with the incomplete debian/copyright file is also reported by lintian as warning file-without-copyright-information. Currently 272 packages cause this

Bug#789047: reportbug: crashes on BTS query returning HTTPError 500 Internal Server, Error

2015-07-05 Thread Paolo Greppi
Package: reportbug Version: 6.4.4+deb7u1 Followup-For: Bug #789047 Dear Maintainer, I get this here too. Steps to reproduce: 1. launch reportbug wnpp 2. choose 1 (ITP) as request type 3. enter 'discourse' as package name 4. enter 'modern web forum with social and moderation features' as

Bug#768073: status of LXD debian package

2016-01-08 Thread Paolo Greppi
Hi is there a public git repo for the packaging effort of LXD ? Is there any blocking issue ? Do you need any help ? Regards, Paolo signature.asc Description: OpenPGP digital signature

Bug#836205: should be fixed by 2.5.1-1

2017-02-07 Thread Paolo Greppi
Please note that version 2.5.1-1 should fix this issue since we updated the patch that bundles ms to ms version 0.7.2. https://tracker.debian.org/media/packages/n/node-debug/changelog-2.5.1-1 https://sources.debian.net/src/node-debug/2.5.1-1/debian/patches/00-bundle_ms.diff/#L288 Paolo

Bug#853035: mmmh

2017-02-07 Thread Paolo Greppi
In the log you attached this line:  [0m Error: timeout of 5000ms exceeded looks different from what you report in the bug:  [0m Error: timeout of 1ms exceeded The test suite is run by upstream (and by us) with this command: mocha -t 5000 -b -R spec

Bug#848859: [bug #25503] test failures

2017-02-10 Thread Paolo Greppi
URL: Summary: test failures Project: Getfem Submitted by: paolog Submitted on: Fri 10 Feb 2017 07:20:43 PM UTC Category: None Severity: 3 - Normal Priority: 5 -

Bug#848859: [bug #25503] test failures

2017-02-11 Thread Paolo Greppi
Additional Item Attachment, bug #25503 (project getfem): File name: test-suite.log Size:1 KB File name: auto_gmm_torture01_lusolve.cc Size:2 KB ___ Reply to this item at:

Bug#848859: reproducible here

2017-02-10 Thread Paolo Greppi
Hi, on a sid 2-core amd64 VM after locally building the package with "dpkg-buildpackage -A" I have launched 200 times the test suite alone with "time make check &> xxx" (it takes about 3 min each so it's quicker than building the entire package). I get these 11 failures: 112:FAIL:

Bug#834918: test failures

2016-10-07 Thread Paolo Greppi
This was already observed with version 0.12.7, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=753220 which was closed because unreproducible. The problem is also known to upstream (https://github.com/bottlepy/bottle/issues/618, https://github.com/bottlepy/bottle/issues/891), the author of

Bug#812157: status update

2016-10-09 Thread Paolo Greppi
The issue is still present in sundials 2.6.2. In the recently released 2.7.0 upstream have temporarily removed sundialsTB "until the development team has some cycles to spend updating it. We are optimistic that this will happen in the coming year." Upstream has already been notified of this,

Bug#839075: confirmed on stretch as of today

2016-10-07 Thread Paolo Greppi
I installed python3-jsonschema on clean debian stretch amd64 lxc container and could reproduce the issue installing python3-pkg-resources fixes it: # apt-get install python3-jsonschema ... # jsonschema Traceback (most recent call last): File "/usr/bin/jsonschema", line 5, in from

Bug#843021: work required to get node-yarn into Debian

2016-11-08 Thread Paolo Greppi
Control: retitle 843021 RFP: node-yarn -- a fast, reliable, and secure package manager for Node.js The command: npm2deb depends -b -r yarn currently reports that 38 node modules are missing. The situation is at the same time somewhat better than that, and much worse that that. node-gyp is

Bug#843882: RFP: python-ramlfications -- Python parser for RAML

2016-11-10 Thread Paolo Greppi
Package: wnpp Severity: wishlist X-Debbugs-CC: debian-de...@lists.debian.org --- Please fill out the fields below. --- Package name: python-ramlfications Version: 0.1.9 Upstream Author: Lynn Root, Spotify AB URL: https://github.com/spotify/ramlfications License:

Bug#790241: 0.9.1 is out

2016-11-10 Thread Paolo Greppi
Control: retitle 790241 please package 0.9.1 I have given it a try, and found that it requires RAMLfications (see the RFP: https://bugs.debian.org/843882) For buildbot, I have set up a local git repo using the git-buildpackage branch / tag standard (the VCS link pointed to by tracker.d.o is not

Bug#809439: tentative fix

2016-10-17 Thread Paolo Greppi
It appears the package was generating manpages "on the fly" converting HTML to groff with a manually-crafted script. This is not necessary, as upstream provides manpages in groff format built with xmlto (cd doc; make manpages). I have attempted a fix for that with this upload to mentors:

Bug#790241: 0.9.1 is out

2016-11-14 Thread Paolo Greppi
Hi and thanks for the suggestion. While I wait for my *-guest account to join collab-main and somebody to pick up the RFP for RAMLfications I have noticed that: - upstream has renamed the buildslave component "worker", also on pypi: https://pypi.python.org/pypi/buildbot-worker - the upstream

Bug#794890: [Pkg-javascript-devel] Bug#794890: npm: new upstream version

2016-11-23 Thread Paolo Greppi
the global site-packages. Paolo On 23/11/2016 15:52, Jérémy Lal wrote: > 2016-11-23 15:45 GMT+01:00 Paolo Greppi <paolo.gre...@libpf.com>: >> On 23/11/2016 14:57, Jonas Smedegaard wrote: >>> Npm is an *alternative* to using Debian packaged nodejs code. >>> >>> User

Bug#794890: [Pkg-javascript-devel] Bug#794890: npm: new upstream version

2016-11-23 Thread Paolo Greppi
Jonas, I beg to slightly differ on the point below. I think of npm or yarn/yarnpkg as the equivalent for the nodejs ecosystem of python virtualenv. There are workflows where you'd want to maintain a certain configuration of a webapp, phonegap app or website using a local set of modules / pinned

Bug#845463: ITP: conan -- dependency manager for C/C++/golang

2016-11-23 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: conan Version : 0.15.0 Upstream Author : Luis Martinez de Bartolome Izquierdo * URL : https://github.com/conan-io/conan * L

Bug#845482: ITP: python-patch -- patch utility to apply unified diffs

2016-11-23 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: python-patch Version : 1.16 Upstream Author : anatoly techtonik <techto...@gmail.com> * URL : https://github.com/tech

Bug#845240: ITP: node-string-width -- Get the visual width of a string

2016-11-22 Thread Paolo Greppi
On 22/11/2016 07:10, Pirate Praveen wrote: > On Mon, 21 Nov 2016 18:38:03 +0100 Paolo Greppi <paolo.gre...@libpf.com> > wrote: >> 3. to patch it to replace the dependency on is-fullwidth-code-point with >> node-wcwidth.js (https://packages.debian.org/sid/node-wcwidth.js) a

Bug#845266: R: Bug#845266: ITP: node-cliui -- easily create complex multi-column CLIs

2016-11-25 Thread Paolo Greppi
uot; <prav...@debian.org> Inviato: ‎25/‎11/‎2016 11:36 A: "845...@bugs.debian.org" <845...@bugs.debian.org>; "Paolo Greppi" <paolo.gre...@libpf.com> Oggetto: Bug#845266: ITP: node-cliui -- easily create complex multi-column CLIs On Mon, 21 Nov 2016 23:08:23 +

Bug#845482: repo moved

2016-11-28 Thread Paolo Greppi
I moved the git repo to here: https://anonscm.debian.org/cgit/python-modules/packages/python-patch.git Paolo signature.asc Description: OpenPGP digital signature

Bug#844986: repo moved

2016-11-28 Thread Paolo Greppi
I moved the git repo to here: https://anonscm.debian.org/cgit/python-modules/packages/python-jsonref.git Paolo signature.asc Description: OpenPGP digital signature

Bug#794890: work required to update the npm package to 3.10.9

2016-11-15 Thread Paolo Greppi
Issuing the command: npm2deb depends -b -r npm > list on sid returns the attached list of node-* dependencies. Filtering the list with: cat list | grep None | sed 's/│//g' | sed 's/├//g' | sed 's/─//g' | sed 's/└//g' | sed 's/^ *//g' | awk '{print $1}' | sort | uniq | wc gives the

Bug#844986: ITP: python-jsonref -- JSON Reference implementation for Python

2016-11-18 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-Cc: paolo.gre...@libpf.com, debian-de...@lists.debian.org * Package name: python-jsonref Version : 0.1 Upstream Author : Chase Sterling <chase.sterl...@gmail.com> * URL

Bug#844986: git repo link

2016-11-18 Thread Paolo Greppi
Until we find a better home for this, here is a git repo link: https://gitlab.com/simevo/python-jsonref Any help or suggestion are welcome ! Paolo signature.asc Description: OpenPGP digital signature

Bug#843882: working on this one + git repo link

2016-11-19 Thread Paolo Greppi
Control: retitle 843882 ITP: python-ramlfications -- Python parser for RAML BTW this in turn requires python-jsonref, see ITP: https://bugs.debian.org/844986. Until we find a better home for this, here is a git repo link: https://gitlab.com/simevo/python-ramlfications Any help or suggestion are

Bug#844612: a new version of TCPDF is under development

2016-11-17 Thread Paolo Greppi
Package: tcpdf Version: 6.2.12+dfsg2-1 Severity: minor Dear Maintainer, The current version of tcpdf in stretch is 6.2.12 which is just one patch away from the latest one at https://github.com/tecnickcom/TCPDF/blob/master/CHANGELOG.TXT 6.2.13 (2016-06-10) But this is the "old version"; the

Bug#843021: RFP: yarn -- a fast, reliable, and secure package manager for Node.js

2016-11-03 Thread Paolo Greppi
Package: wnpp Severity: wishlist X-Debbugs-CC: debian-de...@lists.debian.org --- Please fill out the fields below. --- Package name: yarn Version: 0.16.1 Upstream Author: Yarn Developers URL: https://github.com/yarnpkg/yarn License: BSD-2-Clause

Bug#843021: additional info

2016-11-03 Thread Paolo Greppi
Original announcement for yarn (2016-10-11): https://code.facebook.com/posts/1840075619545360 Upstream provides a .deb package compatible with testing's nodejs package: http://dl.yarnpkg.com/debian/pool/main/y/yarn/yarn_0.16.1-1_all.deb There is a separate github repo for packaging:

Bug#843021: RFP: yarn -- a fast, reliable, and secure package manager for Node.js

2016-11-03 Thread Paolo Greppi
On 03/11/2016 09:10, Lars Wirzenius wrote: > On Thu, Nov 03, 2016 at 08:36:21AM +0100, Paolo Greppi wrote: >>Package name: yarn >> URL: https://github.com/yarnpkg/yarn > > My cmdtest package provides yarn, since the main tool it now provides > is yarn (a te

Bug#843021: RFP: yarn -- a fast, reliable, and secure package manager for Node.js

2016-11-03 Thread Paolo Greppi
On 03/11/2016 15:28, Lars Wirzenius wrote: > The JS package manager called yarn is quite new. It wouldn't be > unreasonable to suggest to them to rename it to avoid a naming > conflict, in my opinion. Fine, I have opened an "Issue" in the github tracker, let's see if this is received

Bug#843021: actually this is a node.js module ...

2016-11-03 Thread Paolo Greppi
Actually this is a node.js module so a suitable package name could be node-yarn or node-yarnpkg. To my defence I can say I was confused by npm (another tool based on node.js) being packaged as "npm" and not "node-npm". We're now left with the binary naming conflict. signature.asc Description:

Bug#843021: RFP: yarn -- a fast, reliable, and secure package manager for Node.js

2016-11-03 Thread Paolo Greppi
On 03/11/2016 17:54, Lars Wirzenius wrote: > I see the following possibilities now: > > a) You rename the yarn package manager in Debian (both package and >binary). I keep the yarn name for my program and package. > > b) We both rename. Nobody uses the name yarn, either as package or as >

Bug#756397: please do add the link to the new tracker

2016-11-01 Thread Paolo Greppi
As it stands now packages.qa.debian.org contains misleading information (the watch file "problem" is incorrectly reported for all packages with a debian/watch file). So for sure packages.debian.org should point to tracker.debian.org. As to whether replacing the current link to

Bug#715967: unreproducible on stretch and sid because the executable is not installed anymore

2016-10-16 Thread Paolo Greppi
giffiltr.c has been renamed giffilter.c: https://sources.debian.net/src/giflib/5.1.4-0.3/util/ but the makefile skips it (it's in the noinst_PROGRAMS target). Also see this comment to a similar bug report: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=715963#10 signature.asc Description:

Bug#715963: unreproducible on stretch and sid because the executable is not installed anymore

2016-10-16 Thread Paolo Greppi
If I understand correctly this report, it boils down to this command: echo | gifbg -h -s segfaulting. Yes, this is reproducible on jessie. No, this is not reproducible on stretch or sid, because no gifbg executable is in either:

Bug#715964: reproducible on jessie, stretch and sid

2016-10-16 Thread Paolo Greppi
If I understand correctly this report, it boils down to this command: echo | gifclrmp -h -i segfaulting. Yes, this is reproducible on jessie, stretch and sid. It can actually be narrowed down to: gifclrmp -i I can debug it with: sudo apt-get install gdb gcc

Bug#715962: unreproducible on stretch and sid because the executable is not installed anymore

2016-10-16 Thread Paolo Greppi
There is no gifasm.c source anymore: https://sources.debian.net/src/giflib/5.1.4-0.3/util/ Also see this comment to a similar bug report: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=715963#10 signature.asc Description: OpenPGP digital signature

Bug#715960: unreproducible on stretch and sid because the executable is not installed anymore

2016-10-16 Thread Paolo Greppi
There is no gif2ps.c source anymore: https://sources.debian.net/src/giflib/5.1.4-0.3/util/ Also see this comment to a similar bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=715963#10 signature.asc Description: OpenPGP digital signature

Bug#808572: it's in the CVS but not in the tarball

2016-10-16 Thread Paolo Greppi
Yes both files are in the CVS: http://giflib.cvs.sourceforge.net/viewvc/giflib/giflib/util/ but they are not in the tarball: https://sourceforge.net/projects/giflib/files/giflib-5.1.4.tar.bz2/download As you know, the debian packing process starts from the upstream tarball. And it looks like

Bug#843021: this could be feasible after all

2016-11-29 Thread Paolo Greppi
Control: retitle 843021 RFP: node-yarnpkg -- a fast, reliable and secure npm alternative Control: owner 843882 Paolo Greppi <paolo.gre...@libpf.com> The repo will be hosted on alioth: https://anonscm.debian.org/git/python-modules/packages/node-yarnpkg.git Any help or suggestion are w

Bug#846213: ITP: node-string.prototype.codepointat -- String.prototype.codePointAt polyfill based on ES6

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-string.prototype.codepointat Version : 0.2.0 Upstream Author : Mathias Bynens (http://mathiasbynens.be/) * URL :

Bug#846206: ITP: node-loose-envify -- Replace node.js environment variables

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-loose-envify Version : 1.3.0 Upstream Author : Andres Suarez <zert...@gmail.com> * URL : https://github.com/z

Bug#846218: ITP: node-roadrunner -- cache require resolutions

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-roadrunner Version : 1.1.0 Upstream Author : Sebastian McKenzie * URL : https://github.com/sebmck/roadrunner#readme * L

Bug#846202: ITP: node-death -- Gracefully cleanup on termination

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-death Version : 1.0.0 Upstream Author : JP Richardson <jprichard...@gmail.com> * URL : https://github.com/jpric

Bug#846205: ITP: node-invariant -- invariant

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-invariant Version : 2.2.2 Upstream Author : Andres Suarez <zert...@gmail.com> * URL : https://github.com/zerto

Bug#846212: ITP: node-node-emoji -- simple emoji support for node.js

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-node-emoji Version : 1.4.1 Upstream Author : Daniel Bugl <daniel.b...@touchlay.com> * URL : https://github.com/

Bug#846215: ITP: node-object-path -- Access deep object properties using a path

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-object-path Version : 0.11.3 Upstream Author : Mario Casciaro * URL : https://github.com/mariocasciaro/object-path * L

Bug#846204: ITP: node-detect-indent -- Detect the indentation of code

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-detect-indent Version : 5.0.0 Upstream Author : Sindre Sorhus <sindresor...@gmail.com> (sindresorhus.com) * URL

Bug#846216: ITP: node-proper-lockfile -- inter-process and inter-machine lockfile utility

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-proper-lockfile Version : 2.0.0 Upstream Author : IndigoUnited <he...@indigounited.com> (http://indigounite

Bug#846217: ITP: node-request-capture-har -- save all traffic as a HAR file

2016-11-29 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-request-capture-har Version : 1.1.4 Upstream Author : Lars Thorup <l...@zealake.com> (http://github.com/larst

Bug#847091: [Pkg-javascript-devel] Bug#847091: update node-extend to latest upstream release

2016-12-14 Thread Paolo Greppi
On 05/12/2016 15:44, Pirate Praveen wrote: > On തിങ്കള്‍ 05 ഡിസംബര്‍ 2016 08:08 വൈകു, Jérémy Lal wrote: >> Do you mean node-xtend ? > > I think we missed avoiding duplication here (today I saw npm2deb warns > about it, though node-xtend was uploaded by someone else). > > $ apt-cache policy

Bug#848315: ITP: node-cheerio -- Server-side jQuery implementation

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-cheerio Version : 0.22.0 Upstream Author : Matt Mueller <mattmue...@gmail.com> (mat.io) * URL : https://github.c

Bug#848353: ITP: node-css-select -- CSS selector compiler/engine

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-css-select Version : 1.2.0 Upstream Author : Felix Böhm <m...@feedic.com> * URL : https://github.com/fb55/css-s

Bug#848324: status update

2016-12-16 Thread Paolo Greppi
The repo on alioth is ready: https://anonscm.debian.org/git/pkg-javascript/node-domutils.git I've issued a RFS to pkg-javascript-de...@lists.alioth.debian.org. Paolo

Bug#848315: status update

2016-12-16 Thread Paolo Greppi
The repo on alioth is ready. I'm waiting for the dependency node-domutils (https://bugs.debian.org/848324) to enter unstable to emit the RFS. Paolo

Bug#846205: status update

2016-12-16 Thread Paolo Greppi
The repo on alioth is ready: https://anonscm.debian.org/git/pkg-javascript/node-invariant.git I'm waiting for the dependency node-loose-envify (that's in the NEW queue at the moment) to enter unstable to emit the RFS. Paolo

Bug#847916: status update

2016-12-16 Thread Paolo Greppi
I should mention that this is required for gulp (see https://wiki.debian.org/Javascript/Nodejs/Tasks/gulp). The repo on alioth is ready: https://anonscm.debian.org/git/pkg-javascript/node-liftoff.git I'm waiting for the dependency node-loose-envify (that's in the NEW queue at the moment) to

Bug#847911: ITP: node-parse-filepath -- parses a filepath into an object.

2016-12-12 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-parse-filepath Version : 1.0.1 Upstream Author : Jon Schlinkert (https://github.com/jonschlinkert) * URL : https://gith

Bug#847916: ITP: node-liftoff -- Launch your command line tool with ease

2016-12-12 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-liftoff Version : 2.3.0 Upstream Author : Tyler Kellen (http://goingslowly.com/) * URL : https://github.com/js-cli/js-l

Bug#847913: ITP: node-fined -- Find a file given a declaration of locations

2016-12-12 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-fined Version : 1.0.2 Upstream Author : JS CLI Team (https://github.com/js-cli) * URL : https://github.com/js-cli/fined#

Bug#846228: It seems upstream is patching it

2016-12-07 Thread Paolo Greppi
https://github.com/joblib/joblib/issues/413 (scroll to the comment by karandesai-96 on 2016-12-04) Paolo signature.asc Description: OpenPGP digital signature

Bug#847091: [Pkg-javascript-devel] Bug#847091: Bug#847091: update node-extend to latest upstream release

2016-12-14 Thread Paolo Greppi
On 14/12/2016 10:55, Pirate Praveen wrote: > > > On 2016, ഡിസംബർ 14 2:16:46 PM IST, Paolo Greppi <paolo.gre...@libpf.com> > wrote: >> That's because also node-liftoff (which is my ITP pipeline after >> node-fixed) depends on node-extend >= 3.0.0 >>

Bug#847091: [Pkg-javascript-devel] Bug#847091: update node-extend to latest upstream release

2016-12-14 Thread Paolo Greppi
On 14/12/2016 10:53, Pirate Praveen wrote: > > > On 2016, ഡിസംബർ 14 2:16:46 PM IST, Paolo Greppi <paolo.gre...@libpf.com> > wrote: >> >> Assuming we want to keep node-xtend and node-extend separate, I have >> prepared the update for this one in the alioth

Bug#576998: why not

2016-12-14 Thread Paolo Greppi
I'd like to give this one a try, in the framework of the Debian Javascript Maintainers team. The new repo will be here (many thanks to Mike Gabriel for sharing his previous work): https://anonscm.debian.org/git/pkg-javascript/etherpad-lite.git My current count of missing node-* packages is 9: -

Bug#576998: [Pkg-javascript-devel] why not

2016-12-15 Thread Paolo Greppi
On 15/12/2016 11:59, Mike Gabriel wrote: > Hi Paolo, > > On Mi 14 Dez 2016 23:01:16 CET, Paolo Greppi wrote: > >> I'd like to give this one a try, in the framework of the Debian >> Javascript Maintainers team. >> >> The new repo will be here (many th

Bug#848241: ITP: node-has-cors -- Detect support for Cross-Origin Resource Sharing

2016-12-15 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-has-cors Version : 1.1.0 Upstream Author : Nathan Rajlich <nat...@tootallnate.net (http://n8.io/) * URL : https://g

Bug#848364: ITP: node-inquirer -- embeddable command line interface for Node.js

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-inquirer Version : 2.0.0 Upstream Author : Simon Boudrias <ad...@simonboudrias.com> * URL : https://github.c

Bug#843021: status update

2016-12-16 Thread Paolo Greppi
The git repo on alioth (which I misspelled above): https://anonscm.debian.org/git/pkg-javascript/node-yarnpkg.git contains my current attempt at packaging node-yarnpkg 0.18.0 Good progress is being made on the dependencies required for running yarnpkg 0.16.1, as identified here:

Bug#848366: ITP: node-is-promise -- Test whether an object looks like a promises-a+ promise

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-is-promise Version : 2.1.0 Upstream Author : ForbesLindesay * URL : https://github.com/then/is-promise * L

Bug#848371: ITP: node-external-editor -- Edit a string with the users preferred text editor

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-external-editor Version : 2.0.1 Upstream Author : Kevin Gravier <ke...@mrkmg.com> (https://mrkmg.com) * URL

Bug#848367: ITP: node-ansi-escapes -- ANSI escape codes for manipulating the terminal

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-ansi-escapes Version : 1.4.0 Upstream Author : Sindre Sorhus <sindresor...@gmail.com> (sindresorhus.com) * URL

Bug#848369: ITP: node-exit-hook -- Run some code when the process exits

2016-12-16 Thread Paolo Greppi
Package: wnpp Severity: wishlist Owner: Paolo Greppi <paolo.gre...@libpf.com> X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-exit-hook Version : 1.1.1 Upstream Author : Sindre Sorhus <sindresor...@gmail.com> (http://sindresorhus.com) * URL

  1   2   3   4   >